ECHO OFF

REM Path to STK500 folder
C:
cd C:\Program Files\Atmel\AVR Tools\STK500
if errorlevel 1 goto error0

REM Assign MIN ISP FREQ and erase the device 
stk500.exe  -dATmega2560 -I602 -ef
if errorlevel 1 goto error1

REM Program & check FUSES
stk500.exe  -dATmega2560 -f98FF -EFC -F98FF -GFC
if errorlevel 1 goto error2

REM Assign MAX ISP FREQ
stk500.exe  -dATmega2560 -I921600
if errorlevel 1 goto error3

REM Download & verify BOOT LOADER
stk500.exe  -dATmega2560 -ifC:\mmavr_test_plan\bootloader_atmega2560.hex -pf -vf
if errorlevel 1 goto error4

REM Download & verify DIAGNOSTIC UTILITY
stk500.exe  -dATmega2560 -ifC:\mmavr_test_plan\avr_diag.hex -pf -vf
if errorlevel 1 goto error5

REM Program & check LOCK BITS
stk500.exe  -dATmega2560 -lEF -LEF
if errorlevel 1 goto error6

echo SUCCESS:  The board programming is completed
goto end

:error0
echo ERROR: Couldn't change directory. Maybe directory doesn't exist
goto end

:error1
echo ERROR:  Assign MIN ISP FREQ and erase the device 
goto end


:error2
echo ERROR: Program and  check FUSES 
goto end


:error3
echo ERROR: Assign MAX ISP FREQ 
goto end


:error4
echo ERROR: Download and verify BOOT LOADER
goto end


:error5
echo ERROR: Download and verify DIAGNOSTIC UTILITY
goto end

:error6
echo ERROR: Program and  check LOCK BITS
goto end

:end
pause
